#
# Conditional build:
%bcond_without	tests	# perform "make test"

%define		pdir	DateTime
%include	/usr/lib/rpm/macros.perl
Summary:	DateTime - representation of date/time combinations
Summary(pl.UTF-8):	DateTime - reprezentacja kombinacji daty i czasu
Name:		perl-DateTime
Version:	1.50
Release:	2
Epoch:		2
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{version}.tar.gz
# Source0-md5:	75f9d317dadade464379d136e5abeae6
URL:		http://datetime.perl.org/
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl-Dist-CheckConflicts >= 0.02
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-devel >= 1:5.8.4
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-CPAN-Meta-Check >= 0.011
BuildRequires:	perl-CPAN-Meta-Requirements
BuildRequires:	perl-DateTime-Format-Mail >= 0.402
BuildRequires:	perl-DateTime-Format-Strptime >= 1.2000
BuildRequires:	perl-DateTime-Locale >= 1.06
BuildRequires:	perl-DateTime-TimeZone >= 3:2.02
BuildRequires:	perl-Math-Round
BuildRequires:	perl-Params-ValidationCompiler >= 0.26
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-Specio >= 0.18
BuildRequires:	perl-Storable
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Test-Warnings >= 0.005
BuildRequires:	perl-Try-Tiny
BuildRequires:	perl-namespace-autoclean >= 0.19
%endif
Requires:	perl-base >= 1:5.8.7-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime is a class for the representation of date/time combinations,
and is part of the Perl DateTime project. For details on this project
please see <http://datetime.perl.org/>. The DateTime site has a FAQ
which may help answer many "how do I do X?" questions. The FAQ is at
<http://datetime.perl.org/faq.html>.

%description -l pl.UTF-8
DateTime to klasa do reprezentowania kombinacji daty i czasu, będąca
częścią perlowego projektu DateTime. Szczegóły dotyczące tego projektu
można znaleźć pod adresem <http://datetime.perl.org/>. Serwis ten ma
swoje FAQ, gdzie można znaleźć odpowiedzi na wiele pytań - dostępne
pod <http://datetime.perl.org/faq.html>.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for noarch DateTime::* modules
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/DateTime/{Event,Format}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS Changes TODO leaptab.txt
%dir %{perl_vendorlib}/DateTime/Event
%dir %{perl_vendorlib}/DateTime/Format
%{perl_vendorarch}/DateTime.pm
%{perl_vendorarch}/DateTime/*.pm
%dir %{perl_vendorarch}/auto/DateTime
%attr(755,root,root) %{perl_vendorarch}/auto/DateTime/DateTime.so
%{_mandir}/man3/DateTime*.3pm*
%changelog
* Sun Sep 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime.git;a=log;h=master

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> f49a636
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> b128c44
- updated to 1.50

* Thu Apr 12 2018 Jan Rękorajski <baggins@pld-linux.org> ba121f8
- updated deps

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> 0b60e7d
- updated to 1.46

* Mon Jun 12 2017 Jan Rękorajski <baggins@pld-linux.org> d7f52db
- up to 1.43

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6c2aad8
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 997eb59
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Tue Nov 29 2016 Jakub Bogusz <qboosh@pld-linux.org> e5a8deb
- updated to 1.41

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> a5fe93b
- up to 1.39

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 2b84783
- rebuild with perl 5.24.0
- release 5 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 8d7846d
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7b9839b
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 315904d
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 185e654
- updated to 1.18

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> f7c3f49
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cc65c15
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 99debdb
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 5c89c9a
- perl 5.8.1 is required

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> a65a9d5
- up to 1.03

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7f648e0
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

